package com.kingdee.eas.custom.beisenconfig;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractBSViewConfigInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractBSViewConfigInfo()
    {
        this("id");
    }
    protected AbstractBSViewConfigInfo(String pkField)
    {
        super(pkField);
        put("entrys", new com.kingdee.eas.custom.beisenconfig.BSViewConfigEntryCollection());
    }
    /**
     * Object: 北森视图配置 's 分录 property 
     */
    public com.kingdee.eas.custom.beisenconfig.BSViewConfigEntryCollection getEntrys()
    {
        return (com.kingdee.eas.custom.beisenconfig.BSViewConfigEntryCollection)get("entrys");
    }
    /**
     * Object:北森视图配置's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object:北森视图配置's osf服务名property 
     */
    public String getOsfSericeName()
    {
        return getString("osfSericeName");
    }
    public void setOsfSericeName(String item)
    {
        setString("osfSericeName", item);
    }
    /**
     * Object:北森视图配置's osf服务参数property 
     */
    public String getOsfParam()
    {
        return getString("osfParam");
    }
    public void setOsfParam(String item)
    {
        setString("osfParam", item);
    }
    /**
     * Object:北森视图配置's 是否启用property 
     */
    public boolean isIsEnabled()
    {
        return getBoolean("isEnabled");
    }
    public void setIsEnabled(boolean item)
    {
        setBoolean("isEnabled", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("0BF5C183");
    }
}